# -*- encoding: utf-8 -*-
# stub: gli 2.14.0 ruby lib

Gem::Specification.new do |s|
  s.name = "gli".freeze
  s.version = "2.14.0"

  s.required_rubygems_version = Gem::Requirement.new(">= 0".freeze) if s.respond_to? :required_rubygems_version=
  s.require_paths = ["lib".freeze]
  s.authors = ["David Copeland".freeze]
  s.date = "2016-11-29"
  s.description = "Build command-suite CLI apps that are awesome.  Bootstrap your app, add commands, options and documentation while maintaining a well-tested idiomatic command-line app".freeze
  s.email = "davidcopeland@naildrivin5.com".freeze
  s.executables = ["gli".freeze]
  s.extra_rdoc_files = ["README.rdoc".freeze, "gli.rdoc".freeze]
  s.files = [".gitignore".freeze, ".ruby-gemset".freeze, ".ruby-version".freeze, ".travis.yml".freeze, "CONTRIBUTING.md".freeze, "Gemfile".freeze, "LICENSE.txt".freeze, "ObjectModel.graffle".freeze, "README.rdoc".freeze, "Rakefile".freeze, "bin/gli".freeze, "bin/report_on_rake_results".freeze, "bin/test_all_rubies.sh".freeze, "debian/changelog".freeze, "debian/compat".freeze, "debian/control".freeze, "debian/copyright".freeze, "debian/patches/patch_version".freeze, "debian/patches/series".freeze, "debian/ruby-gli.docs".freeze, "debian/ruby-tests.rake".freeze, "debian/rules".freeze, "debian/source/format".freeze, "debian/source/lintian-overrides".freeze, "debian/watch".freeze, "features/gli_executable.feature".freeze, "features/gli_init.feature".freeze, "features/step_definitions/gli_executable_steps.rb".freeze, "features/step_definitions/gli_init_steps.rb".freeze, "features/step_definitions/todo_steps.rb".freeze, "features/support/env.rb".freeze, "features/todo.feature".freeze, "features/todo_legacy.feature".freeze, "gli.cheat".freeze, "gli.gemspec".freeze, "gli.rdoc".freeze, "lib/gli.rb".freeze, "lib/gli/app.rb".freeze, "lib/gli/app_support.rb".freeze, "lib/gli/argument.rb".freeze, "lib/gli/command.rb".freeze, "lib/gli/command_finder.rb".freeze, "lib/gli/command_line_option.rb".freeze, "lib/gli/command_line_token.rb".freeze, "lib/gli/command_support.rb".freeze, "lib/gli/commands/compound_command.rb".freeze, "lib/gli/commands/doc.rb".freeze, "lib/gli/commands/help.rb".freeze, "lib/gli/commands/help_modules/arg_name_formatter.rb".freeze, "lib/gli/commands/help_modules/command_finder.rb".freeze, "lib/gli/commands/help_modules/command_help_format.rb".freeze, "lib/gli/commands/help_modules/compact_synopsis_formatter.rb".freeze, "lib/gli/commands/help_modules/full_synopsis_formatter.rb".freeze, "lib/gli/commands/help_modules/global_help_format.rb".freeze, "lib/gli/commands/help_modules/help_completion_format.rb".freeze, "lib/gli/commands/help_modules/list_formatter.rb".freeze, "lib/gli/commands/help_modules/one_line_wrapper.rb".freeze, "lib/gli/commands/help_modules/options_formatter.rb".freeze, "lib/gli/commands/help_modules/terminal_synopsis_formatter.rb".freeze, "lib/gli/commands/help_modules/text_wrapper.rb".freeze, "lib/gli/commands/help_modules/tty_only_wrapper.rb".freeze, "lib/gli/commands/help_modules/verbatim_wrapper.rb".freeze, "lib/gli/commands/initconfig.rb".freeze, "lib/gli/commands/rdoc_document_listener.rb".freeze, "lib/gli/commands/scaffold.rb".freeze, "lib/gli/dsl.rb".freeze, "lib/gli/exceptions.rb".freeze, "lib/gli/flag.rb".freeze, "lib/gli/gli_option_block_parser.rb".freeze, "lib/gli/gli_option_parser.rb".freeze, "lib/gli/option_parser_factory.rb".freeze, "lib/gli/option_parsing_result.rb".freeze, "lib/gli/options.rb".freeze, "lib/gli/switch.rb".freeze, "lib/gli/terminal.rb".freeze, "lib/gli/version.rb".freeze, "test/apps/README.md".freeze, "test/apps/todo/Gemfile".freeze, "test/apps/todo/README.rdoc".freeze, "test/apps/todo/Rakefile".freeze, "test/apps/todo/bin/todo".freeze, "test/apps/todo/lib/todo/commands/create.rb".freeze, "test/apps/todo/lib/todo/commands/list.rb".freeze, "test/apps/todo/lib/todo/commands/ls.rb".freeze, "test/apps/todo/lib/todo/commands/make.rb".freeze, "test/apps/todo/lib/todo/version.rb".freeze, "test/apps/todo/test/tc_nothing.rb".freeze, "test/apps/todo/todo.gemspec".freeze, "test/apps/todo/todo.rdoc".freeze, "test/apps/todo_legacy/Gemfile".freeze, "test/apps/todo_legacy/README.rdoc".freeze, "test/apps/todo_legacy/Rakefile".freeze, "test/apps/todo_legacy/bin/todo".freeze, "test/apps/todo_legacy/lib/todo/commands/create.rb".freeze, "test/apps/todo_legacy/lib/todo/commands/list.rb".freeze, "test/apps/todo_legacy/lib/todo/commands/ls.rb".freeze, "test/apps/todo_legacy/lib/todo/version.rb".freeze, "test/apps/todo_legacy/test/tc_nothing.rb".freeze, "test/apps/todo_legacy/todo.gemspec".freeze, "test/apps/todo_legacy/todo.rdoc".freeze, "test/apps/todo_plugins/commands/third.rb".freeze, "test/config.yaml".freeze, "test/fake_std_out.rb".freeze, "test/init_simplecov.rb".freeze, "test/option_test_helper.rb".freeze, "test/tc_command.rb".freeze, "test/tc_command_finder.rb".freeze, "test/tc_compound_command.rb".freeze, "test/tc_doc.rb".freeze, "test/tc_flag.rb".freeze, "test/tc_gli.rb".freeze, "test/tc_help.rb".freeze, "test/tc_options.rb".freeze, "test/tc_subcommand_parsing.rb".freeze, "test/tc_subcommands.rb".freeze, "test/tc_switch.rb".freeze, "test/tc_terminal.rb".freeze, "test/tc_verbatim_wrapper.rb".freeze, "test/test_helper.rb".freeze]
  s.homepage = "http://davetron5000.github.com/gli".freeze
  s.rdoc_options = ["--title".freeze, "Git Like Interface".freeze, "--main".freeze, "README.rdoc".freeze]
  s.rubyforge_project = "gli".freeze
  s.rubygems_version = "2.5.2".freeze
  s.summary = "Build command-suite CLI apps that are awesome.".freeze

  if s.respond_to? :specification_version then
    s.specification_version = 4

    if Gem::Version.new(Gem::VERSION) >= Gem::Version.new('1.2.0') then
      s.add_development_dependency(%q<rake>.freeze, ["~> 0.9.2.2"])
      s.add_development_dependency(%q<rdoc>.freeze, [">= 0"])
      s.add_development_dependency(%q<rainbow>.freeze, ["~> 1.1.1"])
      s.add_development_dependency(%q<clean_test>.freeze, [">= 0"])
      s.add_development_dependency(%q<cucumber>.freeze, [">= 0"])
      s.add_development_dependency(%q<gherkin>.freeze, [">= 0"])
      s.add_development_dependency(%q<aruba>.freeze, ["= 0.5.1"])
      s.add_development_dependency(%q<sdoc>.freeze, [">= 0"])
      s.add_development_dependency(%q<faker>.freeze, ["= 1.0.0"])
    else
      s.add_dependency(%q<rake>.freeze, ["~> 0.9.2.2"])
      s.add_dependency(%q<rdoc>.freeze, [">= 0"])
      s.add_dependency(%q<rainbow>.freeze, ["~> 1.1.1"])
      s.add_dependency(%q<clean_test>.freeze, [">= 0"])
      s.add_dependency(%q<cucumber>.freeze, [">= 0"])
      s.add_dependency(%q<gherkin>.freeze, [">= 0"])
      s.add_dependency(%q<aruba>.freeze, ["= 0.5.1"])
      s.add_dependency(%q<sdoc>.freeze, [">= 0"])
      s.add_dependency(%q<faker>.freeze, ["= 1.0.0"])
    end
  else
    s.add_dependency(%q<rake>.freeze, ["~> 0.9.2.2"])
    s.add_dependency(%q<rdoc>.freeze, [">= 0"])
    s.add_dependency(%q<rainbow>.freeze, ["~> 1.1.1"])
    s.add_dependency(%q<clean_test>.freeze, [">= 0"])
    s.add_dependency(%q<cucumber>.freeze, [">= 0"])
    s.add_dependency(%q<gherkin>.freeze, [">= 0"])
    s.add_dependency(%q<aruba>.freeze, ["= 0.5.1"])
    s.add_dependency(%q<sdoc>.freeze, [">= 0"])
    s.add_dependency(%q<faker>.freeze, ["= 1.0.0"])
  end
end
